> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a review for a business



## OpenAPI

````yaml /openapi.json post /businesses/{id}/reviews
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /businesses/{id}/reviews:
    post:
      tags:
        - Reviews
      summary: Create a review for a business
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the business
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                customer:
                  type: string
                  nullable: true
                  description: The ID of the customer who wrote the review
                stars:
                  type: integer
                  description: The number of stars the review has
                review_text:
                  type: string
                  nullable: true
                  description: The text of the review
                created_at:
                  type: string
                  nullable: true
                  description: The date and time the review was created in ISO 8601 format
              required:
                - stars
      responses:
        '200':
          description: The created `Review` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Review'
components:
  schemas:
    Review:
      type: object
      properties:
        id:
          type: string
          description: The ID of the review
        created_at:
          type: string
          description: The date and time the review was created
        updated_at:
          type: string
          description: The date and time the review was last updated
        source:
          type: string
          enum:
            - internal
            - google
            - yelp
          description: The source of the review
        stars:
          type: integer
          description: The number of stars the review has
        review_text:
          type: string
          nullable: true
          description: The text of the review
        customer:
          type: string
          nullable: true
          description: The ID of the customer who wrote the review
        business:
          type: string
          description: The ID of the business that the review is about
        external_url:
          type: string
          nullable: true
          description: The URL of the review on the external site
      required:
        - id
        - created_at
        - updated_at
        - source
        - stars
        - review_text
        - customer
        - business
        - external_url
      title: The Review object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````